Bug 154841 - [UPDATE] finance/gnucash: Update to 2.4.2
Summary: [UPDATE] finance/gnucash: Update to 2.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-17 09:10 UTC by Jason E. Hale
Modified: 2011-02-28 19:59 UTC (History)
1 user (show)

See Also:


Attachments
gnucash.diff.gz (12.21 KB, text/plain)
2011-02-17 09:10 UTC, Jason E. Hale
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2011-02-17 09:10:10 UTC
- Update finance/gnucash to 2.4.2
- Add LICENSE (GPLv3)
- Streamline dependencies
- Use Gwenhywfar 4.x / AqBanking 5.x
- Provide option to use Webkit instead of gtkhtml3
- Provide option to install Python bindings
- SQL database support is now provided by databases/libdbi
- Add pkg-message to explain that databases/libdbi-drivers must be installed
  to use SQL backends. XML file will still be available even if they are not
  installed.

Note:
Gwenhywfar 4.x and AqBanking 5.x updates are in another pending PR.
This port should be updated along with them so AqBanking support does not break.

Removed files:
files/patch-src-gnome-utils-gnc-html-graph-gog.c (patch applied upstream)

How-To-Repeat: Use attached (gzipped) diff.
Comment 1 Edwin Groothuis freebsd_committer 2011-02-17 09:10:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Antoine Pelisse 2011-02-20 13:17:38 UTC
This works fine for me, except for the part where "devel/gwenhywfar" doesn't
install any "gwengui-gtk2.0" lib. But I may be missing something.
Comment 3 Jason E. Hale 2011-02-20 21:33:08 UTC
On Sunday, February 20, 2011 08:17:38 Antoine Pelisse wrote:
> This works fine for me, except for the part where "devel/gwenhywfar"
> doesn't install any "gwengui-gtk2.0" lib. But I may be missing something.

Gnucash will work with Gwenhywfar 3.x / Aqbanking 4.x, but I added this 
library check for use with Gwenhywfar 4.x / Aqbanking 5.x.  These updated 
libraries are in ports/154840.  In the devel/gwenhywfar port, the port needs 
to have the GTK2 option enabled (it is enabled by default).
Comment 4 Koop Mast 2011-02-28 09:55:59 UTC
Can you resubmit the patch? tar is complaining about "Unregonized 
archive format".

-Koop
Comment 5 Jason E. Hale 2011-02-28 10:12:33 UTC
On Monday, February 28, 2011 04:55:59 Koop Mast wrote:
> Can you resubmit the patch? tar is complaining about "Unregonized
> archive format".
> 
> -Koop

It is just a single gzipped diff file.  Use gunzip to decompress it.

- Jason
Comment 6 Koop Mast freebsd_committer 2011-02-28 19:58:16 UTC
State Changed
From-To: open->closed

Committed 2.4.3.